Grant Request Groups
Creates a new grant request group from the provided payload.
Body
Responses
201
Grant request group created
application/json
401
Unauthorized
application/json
403
Forbidden
application/json
404
Not found
application/json
422
Unprocessable Entity
application/json
500
Internal Server Error
application/json
post/api/grant_request_groups
POST /api/grant_request_groups HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 128
{
"grant_request_group": {
"requests": [
{
"data_structure_external_id": "ds_123",
"metadata": {
"key": "value"
}
}
],
"type": "grant_request"
}
}{
"data": {
"_embedded": {
"requests": [
{
"id": 789,
"type": "grant_creation"
}
]
},
"id": 123,
"inserted_at": "2026-06-16T10:00:00Z",
"type": "grant_request",
"user_id": 456
}
}Creates multiple grant request groups in a single request.
Body
Responses
201
Grant request groups created
application/json
401
Unauthorized
application/json
403
Forbidden
application/json
404
Not found
application/json
422
Unprocessable Entity
application/json
500
Internal Server Error
application/json
post/api/grant_request_groups/bulk
POST /api/grant_request_groups/bulk HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 104
{
"grant_request_groups": [
{
"requests": [
{
"data_structure_external_id": "ds_123"
}
],
"type": "grant_request"
}
]
}{
"data": {
"grant_request_groups": [
{
"id": 123,
"type": "grant_request"
}
]
}
}Retrieves the grant request group with the specified ID.
Path parameters
idintegerRequired
Grant request group ID
Responses
200
Grant request group retrieved
application/json
401
Unauthorized
application/json
403
Forbidden
application/json
404
Not found
application/json
500
Internal Server Error
application/json
get/api/grant_request_groups/{id}
GET /api/grant_request_groups/{id} HTTP/1.1
Accept: */*
{
"data": {
"_embedded": {
"requests": [
{
"id": 789,
"type": "grant_creation"
}
]
},
"id": 123,
"inserted_at": "2026-06-16T10:00:00Z",
"type": "grant_request",
"user_id": 456
}
}Deletes the grant request group identified by the given ID.
Path parameters
idintegerRequired
Grant request group ID
Responses
204
Grant request group deleted
No content
401
Unauthorized
application/json
403
Forbidden
application/json
404
Not found
application/json
500
Internal Server Error
application/json
delete/api/grant_request_groups/{id}
DELETE /api/grant_request_groups/{id} HTTP/1.1
Accept: */*
No content
Last updated